Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.engine.query
Class IUProfilePropertyQuery

    java.lang.Object
      org.eclipse.equinox.p2.query.ExpressionMatchQuery<IInstallableUnit>
          org.eclipse.equinox.p2.engine.query.IUProfilePropertyQuery

All Implemented Interfaces:
  IQueryWithIndex<IInstallableUnit>, IMatchQuery<IInstallableUnit>, IQuery<IInstallableUnit>

Direct Known Subclasses:
  UserVisibleRootQuery

    public class IUProfilePropertyQuery

extends ExpressionMatchQuery<IInstallableUnit>

A query that searches for `IInstallableUnit` instances that have a property associated with the specified profile, whose value matches the provided value.

Since:
  2.0

Field Summary
`static String` `ANY` A property value constant that will match any defined property value.

Constructor Summary
`IUProfilePropertyQuery(String propertyName, String propertyValue)` Creates a new query on the given property name and value.

Method Summary

Methods inherited from class org.eclipse.equinox.p2.query.ExpressionMatchQuery
`getContext, getExpression, getMatchingClass, isMatch, perform, perform, postPerform, prePerform, setIndexProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static final String ANY

  A property value constant that will match any defined property value.

  See Also:
    `IUProfilePropertyQuery(String, String)`, Constant Field Values

Constructor Detail

### IUProfilePropertyQuery

    public IUProfilePropertyQuery(String propertyName,
                                  String propertyValue)

  Creates a new query on the given property name and value. Because the queryable for this query is typically the profile instance, we use a reference to the profile rather than the profile id for performance reasons.

  Parameters:
    `propertyName` - The name of the property to match
    `propertyValue` - The value to compare to. A value of `ANY` will match any value.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.